.
Results 1 to 6 of 6

Thread: Importing TRS19 Content into T:ANE

  1. #1
    Join Date
    Jun 2021
    Location
    United States of America
    Posts
    1
     

    Question Importing TRS19 Content into T:ANE

    Just a few months ago, I purchased T:ANE SP4 after TRS19.
    I was interested to work on some Thomas Content on T:ANE.
    I was brought upto a similar kind of website... (Sodor Workshops) and I downloaded 'Arthur' from that page and imported it to Content Manager. Then, There was an error that said 'trainz build number not recognised by this tool'. So, with the config file I edited the trainz build number from 4.6 to 4.5(as for the SP4).
    But now after that, I am receiving a number of errors as follows...

    Validating <kuid:414976:100484>
    .......
    .......
    Client Material::SetMaterial unknown material type 'pbrmetal' for 'crankr3.m.pbrmetal TrainzMeshFile Load> failed to load material

    TrainzMeshFile_Load>failed to load material

    VE77: Unable to load indexed mesh 'main Im

    VE181: The tag 'mesh-table-lod-transition-distances' requires a minimum asset version of 4.6

    I've been through a number of errors and I've fixed it myself but I facing these kind of problems for the first time...
    Can it be fixed somehow?
    It'll be an honor if you guys could help me.

    Sam

  2. #2
    Join Date
    Nov 2006
    Location
    Australia, NSW, Sydney
    Posts
    7,787
    Blog Entries
    3
     

    Default

    Manually editing an assets build number is not recommended. The build number tells Trainz which validation tests it should perform when loading an asset. Different asset build numbers have different validation tests. By changing the build number you will most likely be simply swapping one set of error messages for another set.

    4.6 is a specific asset build for TRS19. 4.6 assets designed for TRS19 will not work in T:ANE (builds 3.9 to 4.5).

    PS: Since you have had T:ANE and TRS19 for several months now it would be a good idea to register your copies. Click the Register link near the top of this page.
    Last edited by pware; June 16th, 2021 at 06:32 AM.
    TRS19 Plus build 111951 and build 113142

  3. #3
    Join Date
    Nov 2006
    Location
    United Kingdom, Cheshire
    Posts
    2,277
     

    Default

    PBR materials will only work in TRS19.

    You also need to register your software so that it shows in your timeline.
    Contact Helpdesk (button at top of page) to sort this out.
    Member of TCWW and Trainz DE.

    Currently bringing the DHR into TRS19 one tree at a time!

  4. #4
    Join Date
    May 2018
    Location
    Australia, NSW
    Posts
    1,770
     

    Default

    Bare in mind Trainz is not backwards compatible so you can't import assets into an older version unless the asset is an older one. Build numbers are critial.

  5. #5

    Default

    They are in some cases. I have successfully backdated content a few times now. From TANE to TS12. Stuff like converting png textures to tga, etc for some rolling stock.

    my YT channel: https://www.youtube.com/channel/UC0kO-ivUrfsjC3Ho1PMo5Pw

  6. #6
    Join Date
    Nov 2006
    Location
    Australia, NSW, Sydney
    Posts
    7,787
    Blog Entries
    3
     

    Default

    Quote Originally Posted by slenderman8888 View Post
    They are in some cases. I have successfully backdated content a few times now. From TANE to TS12. Stuff like converting png textures to tga, etc for some rolling stock.

    Regardless, I would not recommend the practice. Often the validation test is much more than a simple check of the graphic file formats and as Trainz becomes more "sophisticated" passing those tests becomes more important.
    TRS19 Plus build 111951 and build 113142

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •